QGIS Application - Bug report #11872
Edit button toggles after copy/paste and deselect on PostGIS layers
2014-12-16 07:43 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Windows 64-bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20086
Description

Steps to reproduce:

Open two PostGIS linestring layers in a map document

Select a line feature from one layer

Click the 'Copy Features' button on the Editing toolbar

Turn on editing on the other layer

Paste into the other layer using the 'Paste Features' button on the Editing toolbar
Click the 'Deselect Features from All Layers' button on the Attributes toolbar

What happens:
Although editing is still active on the layer, the GUI editing button toggles, making it appear as if editing has been turned off and there are

no edits to save.

Tested using latest nightly from OSGeo4W. Also occurs in 2.6.1.

Associated revisions

Revision d288a53c - 2014-12-18 08:07 AM - Denis Rouzaud

[fix #11872] do not call activateLayerRelatedAction after selection change if layer is not current layer

Revision ddb37e22 - 2014-12-18 08:08 AM - Denis Rouzaud

[fix #11872] do not call activateLayerRelatedAction after selection change if layer is not current layer

History

#1 - 2014-12-17 11:08 PM - Denis Rouzaud
- Status changed from Open to Closed

Fixed in changeset commit:"d288a53c0de20191f25656e860c8cfbb5174d194".
